Eclipse Platform Release 3.7

## org.eclipse.core.databinding.observable.value
Interface IVetoableValue

All Superinterfaces:
  IObservable, IObservableValue

All Known Implementing Classes:
  AbstractVetoableValue, DecoratingVetoableValue

    public interface IVetoableValue

extends IObservableValue

An observable value whose changes can be vetoed by listeners.

Since:
  1.0
Restriction:
  This interface is not intended to be implemented by clients. Clients should instead subclass one of the classes that implement this interface. Note that direct implementers of this interface outside of the framework will be broken in future releases when methods are added to this interface.
Restriction:
  This interface is not intended to be extended by clients.

Method Summary
`void` `addValueChangingListener(IValueChangingListener listener)`
`void` `removeValueChangingListener(IValueChangingListener listener)`

Methods inherited from interface org.eclipse.core.databinding.observable.value.IObservableValue
`addValueChangeListener, getValue, getValueType, removeValueChangeListener, setValue`

Methods inherited from interface org.eclipse.core.databinding.observable.IObservable
`addChangeListener, addDisposeListener, addStaleListener, dispose, getRealm, isDisposed, isStale, removeChangeListener, removeDisposeListener, removeStaleListener`

Method Detail

### addValueChangingListener

    void addValueChangingListener(IValueChangingListener listener)

  Parameters:
    `listener` -

### removeValueChangingListener

    void removeValueChangingListener(IValueChangingListener listener)

  Parameters:
    `listener` -

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.